Opened 11 years ago

Closed 10 years ago

#23381 closed defect (duplicate)

ScummVM 0.31.1 doesn't build on 10.6 macintel

Reported by: sgaragagghu@… Owned by: mww@…
Priority: Normal Milestone:
Component: ports Version: 1.8.2
Keywords: Cc: jinksys@…
Port: scummvm

Description

--->  Computing dependencies for scummvm
--->  Building scummvm
Error: Target org.macports.build returned: shell command " cd "/opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_emulators_scummvm/work/scummvm-0.13.1" && /usr/bin/make -j1 all OSXOPT=/opt/local " returned error 2
Command output: mkdir -p backends/midi/.deps
/usr/bin/g++-4.2 -Wp,-MMD,"backends/midi/.deps/coreaudio.d",-MQ,"backends/midi/coreaudio.o",-MP -Wall -O2 -arch i386 -I/opt/local/include -g -ansi -W -Wno-unused-parameter -Wconversion -Wno-long-long -Wno-multichar -Wno-unknown-pragmas -Wno-reorder -pedantic -Wpointer-arith -Wcast-qual -Wcast-align -Wshadow -Wimplicit -Wnon-virtual-dtor -Wwrite-strings -fno-rtti -fno-exceptions -fcheck-new -DHAVE_CONFIG_H -DUNIX -DMACOSX -DDATA_PATH=\"/opt/local/share/scummvm\" -DPLUGIN_DIRECTORY=\"/opt/local/lib/scummvm\" -DSDL_BACKEND -DENABLE_SCUMM=STATIC_PLUGIN -DENABLE_SCUMM_7_8 -DENABLE_HE -DENABLE_AGI=STATIC_PLUGIN -DENABLE_AGOS=STATIC_PLUGIN -DENABLE_CINE=STATIC_PLUGIN -DENABLE_DRASCULA=STATIC_PLUGIN -DENABLE_GOB=STATIC_PLUGIN -DENABLE_GROOVIE=STATIC_PLUGIN -DENABLE_KYRA=STATIC_PLUGIN -DENABLE_LURE=STATIC_PLUGIN -DENABLE_PARALLACTION=STATIC_PLUGIN -DENABLE_QUEEN=STATIC_PLUGIN -DENABLE_SAGA=STATIC_PLUGIN -DENABLE_IHNM -DENABLE_SKY=STATIC_PLUGIN -DENABLE_SWORD1=STATIC_PLUGIN -DENABLE_SWORD2=STATIC_PLUGIN -DENABLE_TOUCHE=STATIC_PLUGIN -DENABLE_TUCKER=STATIC_PLUGIN -I. -I. -I./engines -I/opt/local/include -I/opt/local/include -I/opt/local/include -I/opt/local/include -I/opt/local/include  -I/opt/local/include/SDL -D_GNU_SOURCE=1 -D_THREAD_SAFE -c backends/midi/coreaudio.cpp -o backends/midi/coreaudio.o
backends/midi/coreaudio.cpp: In member function 'virtual int MidiDriver_CORE::open()':
backends/midi/coreaudio.cpp:94: error: aggregate 'ComponentDescription desc' has incomplete type and cannot be defined
backends/midi/coreaudio.cpp:102: warning: 'AUGraphNewNode' is deprecated (declared at /System/Library/Frameworks/AudioToolbox.framework/Headers/AUGraph.h:673)
backends/midi/coreaudio.cpp:108: warning: 'AUGraphNewNode' is deprecated (declared at /System/Library/Frameworks/AudioToolbox.framework/Headers/AUGraph.h:673)
backends/midi/coreaudio.cpp:118: warning: 'AUGraphGetNodeInfo' is deprecated (declared at /System/Library/Frameworks/AudioToolbox.framework/Headers/AUGraph.h:687)
backends/midi/coreaudio.cpp:118: warning: 'AUGraphGetNodeInfo' is deprecated (declared at /System/Library/Frameworks/AudioToolbox.framework/Headers/AUGraph.h:687)
backends/midi/coreaudio.cpp:123: error: aggregate 'FSRef fsref' has incomplete type and cannot be defined
backends/midi/coreaudio.cpp:124: error: 'FSSpec' was not declared in this scope
backends/midi/coreaudio.cpp:124: error: expected `;' before 'fsSpec'
backends/midi/coreaudio.cpp:127: error: 'FSPathMakeRef' was not declared in this scope
backends/midi/coreaudio.cpp:130: error: 'kFSCatInfoNone' was not declared in this scope
backends/midi/coreaudio.cpp:130: error: 'fsSpec' was not declared in this scope
backends/midi/coreaudio.cpp:130: error: 'FSGetCatalogInfo' was not declared in this scope
backends/midi/coreaudio.cpp:140: error: 'fsSpec' was not declared in this scope
make: *** [backends/midi/coreaudio.o] Error 1

Error: Status 1 encountered during processing.
Before reporting a bug, first run the command again with the -d flag to get complete output.
bash-3.2$ 

Attachments (3)

install.txt (82.9 KB) - added by jinksys@… 11 years ago.
sudo port -d install scummvm
patch-backends-midi-coreaudio.cpp.diff (346 bytes) - added by jinksys@… 11 years ago.
coreaudio.cpp diff
patch-Portfile.diff (628 bytes) - added by jinksys@… 11 years ago.
Portfile patch

Download all attachments as: .zip

Change History (13)

comment:1 Changed 11 years ago by sgaragagghu@…

Cc: sgaragagghu@… added

Cc Me!

comment:2 Changed 11 years ago by jmroot (Joshua Root)

Cc: sgaragagghu@… removed
Keywords: ScummVM 0.31.1 build removed
Owner: changed from macports-tickets@… to mww@…
Port: scummvm added; ScummVM 0.31.1 removed
Priority: HighNormal

Please remember to cc the maintainer, and note that you do not need to be in cc when you are the reporter.

Changed 11 years ago by jinksys@…

Attachment: install.txt added

sudo port -d install scummvm

comment:3 Changed 11 years ago by jinksys@…

I get an error similar to the OP, however my install fails building browser.cpp.

comment:4 Changed 11 years ago by jinksys@…

Cc: jinksys@… added

Cc Me!

comment:5 Changed 11 years ago by jinksys@…

It appears ScummVM uses Navigation Services. According to this, 64-bit Nav Services is not available.

comment:6 Changed 11 years ago by jinksys@…

Ok, so I've got it running (and played a little monkey island 2 :)

As I said before ScummVM uses Navigation Services (Carbon) for its open-file dialog; Snow Leopard doesn't have 64-bit NavServices.

So until the ScummVM team sips some Cocoa I don't think it'll compile 64-bit. I installed zlib, libsdl, and libmad all +UNIVERSAL.

I updated the portfile to remove references to x86_64 for darwin10. This fixed my (related) problem with browser.cpp.

As for the OP's issue, that's simply a header issue - #include <CoreServices/CoreServices.h>.

I updated the portfile to reference the patchfile for coreaudio.cpp and one 'sudo port -d install scummvm' later I'm on Monkey Island.

I'll attach my port and coreaudio diff.

Changed 11 years ago by jinksys@…

coreaudio.cpp diff

Changed 11 years ago by jinksys@…

Attachment: patch-Portfile.diff added

Portfile patch

comment:7 in reply to:  6 ; Changed 11 years ago by sgaragagghu@…

Thank you very much! One problem i can't fix.. i modified the original Portfile with your information, when i install it, port try to fetch patch-backends-midi-coreaudio.cpp.diff and failed, so i tryed to put it manually in Portfile dir but doesn't work too. Thank you very very much

comment:8 in reply to:  7 ; Changed 11 years ago by jinksys@…

Replying to sgaragagghu@…:

Thank you very much! One problem i can't fix.. i modified the original Portfile with your information, when i install it, port try to fetch patch-backends-midi-coreaudio.cpp.diff and failed, so i tryed to put it manually in Portfile dir but doesn't work too. Thank you very very much

Are you putting the patch into the "files" directory?

comment:9 in reply to:  8 Changed 11 years ago by jinksys@…

Replying to jinksys@…:

Replying to sgaragagghu@…:

Thank you very much! One problem i can't fix.. i modified the original Portfile with your information, when i install it, port try to fetch patch-backends-midi-coreaudio.cpp.diff and failed, so i tryed to put it manually in Portfile dir but doesn't work too. Thank you very very much

Are you putting the patch into the "files" directory?

To clarify: The coreaudio patch needs to go in the files directory.

comment:10 Changed 10 years ago by jmroot (Joshua Root)

Resolution: duplicate
Status: newclosed
Note: See TracTickets for help on using tickets.